---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libem06t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x4094, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4D170, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4F0B0, symBinAddr: 0xE128, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4F498, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x50438, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x50440, symBinAddr: 0xF4B8, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4CDD8, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4CDDC, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4CDE0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4CF30, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4CFE8, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4CFEC, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4CFF0, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4CFF4, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4CFF8, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4D000, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4D010, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4D018, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4D020, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4D028, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4D030, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4D038, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x4D080, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94B2, offset: 0x94B2, size: 0x8, addend: 0x0, symName: __ZL19classloadEventCount, symObjAddr: 0x4D088, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94CB, offset: 0x94CB, size: 0x8, addend: 0x0, symName: __ZL22classprepareEventCount, symObjAddr: 0x4D08C, symBinAddr: 0xC1C4, symSize: 0x0 }
  - { offsetInCU: 0x94E4, offset: 0x94E4, size: 0x8, addend: 0x0, symName: __ZL16classLoaderCount, symObjAddr: 0x4D090, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x94FD, offset: 0x94FD, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4D098, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9516, offset: 0x9516, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4D0A0, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x952F, offset: 0x952F, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x4D0E0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9581, offset: 0x9581, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x2F7C, symSize: 0xA0 }
  - { offsetInCU: 0x9616, offset: 0x9616, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x2F54, symSize: 0x28 }
  - { offsetInCU: 0x9679, offset: 0x9679, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x2ED4, symSize: 0x80 }
  - { offsetInCU: 0x990D, offset: 0x990D, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x301C, symSize: 0x34 }
  - { offsetInCU: 0x9967, offset: 0x9967, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3050, symSize: 0x20C }
  - { offsetInCU: 0x9B20, offset: 0x9B20, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x325C, symSize: 0x28 }
  - { offsetInCU: 0x9BE9, offset: 0x9BE9, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x3284, symSize: 0xB0 }
  - { offsetInCU: 0x9CE0, offset: 0x9CE0, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x3334, symSize: 0xD8 }
  - { offsetInCU: 0x9E51, offset: 0x9E51, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x340C, symSize: 0x24 }
  - { offsetInCU: 0x9F14, offset: 0x9F14, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x3430, symSize: 0x168 }
  - { offsetInCU: 0xA0F0, offset: 0xA0F0, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x3598, symSize: 0x104 }
  - { offsetInCU: 0xA3A1, offset: 0xA3A1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x369C, symSize: 0x3F8 }
  - { offsetInCU: 0xA5EB, offset: 0xA5EB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2144, symBinAddr: 0x3A94, symSize: 0xDC }
  - { offsetInCU: 0xA689, offset: 0xA689, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x3B70, symSize: 0x154 }
  - { offsetInCU: 0xA86D, offset: 0xA86D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x3CC4, symSize: 0xAC }
  - { offsetInCU: 0xA942, offset: 0xA942, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3D70, symSize: 0x14 }
  - { offsetInCU: 0xA97B, offset: 0xA97B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3D84, symSize: 0x14 }
  - { offsetInCU: 0xA9B4, offset: 0xA9B4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3D98, symSize: 0x14 }
  - { offsetInCU: 0xAB31, offset: 0xAB31, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3DAC, symSize: 0x1A8 }
  - { offsetInCU: 0xAE3B, offset: 0xAE3B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3F54, symSize: 0x140 }
  - { offsetInCU: 0xAFDC, offset: 0xAFDC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x4304, symSize: 0x1C0 }
  - { offsetInCU: 0xB2B9, offset: 0xB2B9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x44C4, symSize: 0x9C }
  - { offsetInCU: 0xB376, offset: 0xB376, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x4560, symSize: 0x690 }
  - { offsetInCU: 0xBF08, offset: 0xBF08, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9860, symBinAddr: 0x5E8C, symSize: 0x30 }
  - { offsetInCU: 0xBF94, offset: 0xBF94, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x4BF0, symSize: 0x74 }
  - { offsetInCU: 0xC024, offset: 0xC024, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4C64, symSize: 0xB0 }
  - { offsetInCU: 0xC12F, offset: 0xC12F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4D14, symSize: 0x3C }
  - { offsetInCU: 0xC225, offset: 0xC225, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x4D50, symSize: 0x29C }
  - { offsetInCU: 0xC568, offset: 0xC568, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x4FEC, symSize: 0xD0 }
  - { offsetInCU: 0xC696, offset: 0xC696, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x50BC, symSize: 0xC }
  - { offsetInCU: 0xC758, offset: 0xC758, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x50C8, symSize: 0x22C }
  - { offsetInCU: 0xCA13, offset: 0xCA13, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x52F4, symSize: 0x4 }
  - { offsetInCU: 0xCA57, offset: 0xCA57, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x52F4, symSize: 0x4 }
  - { offsetInCU: 0xCA70, offset: 0xCA70, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x52F8, symSize: 0x194 }
  - { offsetInCU: 0xCC31, offset: 0xCC31, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E60, symBinAddr: 0x548C, symSize: 0x4 }
  - { offsetInCU: 0xCC75, offset: 0xCC75, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E60, symBinAddr: 0x548C, symSize: 0x4 }
  - { offsetInCU: 0xCCAE, offset: 0xCCAE, size: 0x8, addend: 0x0, symName: _handler, symObjAddr: 0x8E64, symBinAddr: 0x5490, symSize: 0x474 }
  - { offsetInCU: 0xD080, offset: 0xD080, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_16CallObjectMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x92D8, symBinAddr: 0x5904, symSize: 0x30 }
  - { offsetInCU: 0xD10C, offset: 0xD10C, size: 0x8, addend: 0x0, symName: _cbClassLoad, symObjAddr: 0x9308, symBinAddr: 0x5934, symSize: 0x14 }
  - { offsetInCU: 0xD183, offset: 0xD183, size: 0x8, addend: 0x0, symName: _cbClassPrepare, symObjAddr: 0x931C, symBinAddr: 0x5948, symSize: 0x14 }
  - { offsetInCU: 0xD1FA, offset: 0xD1FA, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0x9330, symBinAddr: 0x595C, symSize: 0xD8 }
  - { offsetInCU: 0xD2BB, offset: 0xD2BB, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9408, symBinAddr: 0x5A34, symSize: 0x458 }
  - { offsetInCU: 0xD894, offset: 0xD894, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9890, symBinAddr: 0x5EBC, symSize: 0x358 }
...
